2019-07-22 17:54 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002150NetSurfGTK-specificpublic2015-03-10 11:13
Reportersabotage_linux 
Assigned ToVincent Sanders 
SeveritymajorReproducibilityalways 
StatusclosedResolutionfixed 
Platformsabotage linuxOSsabotage linuxOS Versionlatest
Product Version3.1 
Target Version3.2Fixed in Version3.2 
Summary0002150: make install logic for "C" language directory is wrong, Message file not found
Description1) g_get_language_names() returns "C"
2) make install produces invalid symlink: $prefix/share/netsurf/C/messages points to ../../../$DESTDIR/$prefix/share/netsurf/C/Messages (not existing)

in my case prefix is "" (i.e. empty, that means share goes to /share, bin to /bin, etc)
and DESTDIR is /opt/netsurf
$ la /share/netsurf/C/
lrwxrwxrwx 1 root root 45 Jun 13 12:05 Messages -> ../../../opt/netsurf/share/netsurf/C/Messages [imagine red color for symlink target]

i propose the following solution:
instead of symlinking all the files under C/ (to themselves with wrong path), just symlink en *directory* to C, i.e.
ln -sf en C
that way the symlink is always right, not matter where it ends up as long as en stays in the same base dir.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000450

Vincent Sanders (administrator)

restructured so all resources with language specialisation now fall back to the english versions.

Updated the install target appropriately
Vincent Sanders

~0000725

Vincent Sanders (administrator)

Confirmed fixed in 3.2 release
+Notes

-Issue History
Date Modified Username Field Change
2014-06-13 11:53 sabotage_linux New Issue
2014-06-18 10:40 Vincent Sanders Status new => acknowledged
2014-08-18 11:56 Vincent Sanders Project Buildsystem => NetSurf
2014-08-18 11:57 Vincent Sanders Assigned To => Vincent Sanders
2014-08-18 11:57 Vincent Sanders Category General => GTK-specific
2014-08-18 11:57 Vincent Sanders Product Version => 3.1
2014-08-18 11:57 Vincent Sanders Target Version => 3.2
2014-08-20 09:22 Vincent Sanders Note Added: 0000450
2014-08-20 09:22 Vincent Sanders Status acknowledged => resolved
2014-08-20 09:22 Vincent Sanders Resolution open => fixed
2014-08-20 09:22 Vincent Sanders Fixed in Version => 3.2
2015-03-10 11:13 Vincent Sanders Note Added: 0000725
2015-03-10 11:13 Vincent Sanders Status resolved => closed
+Issue History